# 2nd Order Epanechnikov
kernel <- function(u){
 return( 0.75 * (1 - u^2) * ( -1 < u ) * ( u < 1 ) );
}

# 4th Order Epanechnikov
kernel4 <- function(u){
 return( 15/8 * (1-7/3*u^2) * kernel(u) );
}

# Integral of Square of Kernel
ulist = (-1000:1000)/1000;
int_sq_kernel4 = sum( kernel(ulist)^2 ) * (ulist[2]-ulist[1]);