library(mvtnorm);
source("code_g_function.r");

para_alpha = matrix( 2^(-1*(2:p)), p-1, 1 );
para_beta = matrix( 2^(-1*(2:p)), p-1, 1 );
meanvec = array(0,p-1)
Sigma = 0.5^2 * 2^( -2*abs( matrix(2:p,p-1,p-1) - t(matrix(2:p,p-1,p-1)) ) );
X2p = rmvnorm(n, mean = meanvec , sigma = Sigma);
U = matrix( rnorm(n, 0, 1), n, 1 );
V = matrix( rnorm(n, 0, 1), n, 1 );
X1 = X2p %*% para_beta + V;
Y = g(X1) + X2p %*% para_alpha + U;
rm(meanvec); rm(Sigma); rm(U); rm(V); gc();